Subject: bug#9484: scheme-indent-function bug?

From: 彥瑾 <[email-masked]>
Date: Mon, 12 Sep 2011 22:59:42 +0800

Dear:
             I want to make  c-declare function likes following

             (c-declare #<<c-declare-end

              #include <stdio.h>
              c-declare-end
              )

              but if  I use  (put 'c-decare 'scheme-indent-function 0)
whitch is according to scheme wiki

              the scheme code will looks like:

             (c-declare #<<c-declare-end

                               #include <stdio.h>
                               c-declare-end
                                )

               and this will make my scheme compiler error ( I try both
gambit-c and racket)

               if I write a simple emacs lisp

              (defun scheme-indent-dummy (state indent-point normal-indent)
                0)
              (put 'c-declare 'scheme-indent-function 'scheme-indent-dummy)

              and the scheme's c-declare function will indent as I want

               maybe this is a scheme-mode's bug ?